# Created by pyp2rpm-3.3.5
%global pypi_name asyncwhois

Name:           python-%{pypi_name}
Version:        0.2.0
Release:        1%{?dist}
Summary:        Python module for performing WHOIS queries

License:        MIT
URL:            https://github.com/pogzyb/asyncwhois
Source0:        %{pypi_source}
BuildArch:      noarch

%description
Python module for performing WHOIS queries for any domain.

%package -n     python3-%{pypi_name}
Summary:        %{summary}

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(pytest)
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Python module for performing WHOIS queries for any domain.

%prep
%autosetup -n %{pypi_name}-%{version}
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

# https://github.com/pogzyb/asyncwhois/issues/10
#%%check
#%%pytest -v tests/*.py

%files -n python3-%{pypi_name}
%doc README.rst
# https://github.com/pogzyb/asyncwhois/pull/11
#%%license LICENSE
%{python3_sitelib}/%{pypi_name}/
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info/

%changelog
* Mon Jan 04 2021 Fabian Affolter <mail@fabian-affolter.ch> - 0.2.0-1
- Initial package.
